PostgreSQL 8.1.3 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# reindexdb

## Name

reindexdb -- reindex a PostgreSQL database

## Synopsis

`reindexdb` [`connection-option`...] [--table | -t `table` ] [--index | -i `index` ] [`dbname`]
`reindexdb` [`connection-option`...] [--all | -a]
`reindexdb` [`connection-option`...] [--system | -s] [`dbname`]

## Description

reindexdb is a utility for rebuilding indexes in a PostgreSQL database.

reindexdb is a wrapper around the SQL command REINDEX. There is no effective difference between reindexing databases via this utility and via other methods for accessing the server.

## Options

reindexdb accepts the following command-line arguments:

`-a`
`--all`

  Reindex all databases.

`-s`
`--system`

  Reindex database's system catalogs.

`-t `table``
`--table `table``

  Reindex `table` only.

`-i `index``
`--index `index``

  Recreate `index` only.

`[-d] `dbname``
`[--dbname] `dbname``

  Specifies the name of the database to be reindexed. If this is not specified and `-a` (or `--all`) is not used, the database name is read from the environment variable `PGDATABASE`. If that is not set, the user name specified for the connection is used.

`-e`
`--echo`

  Echo the commands that reindexdb generates and sends to the server.

`-q`
`--quiet`

  Do not display a response.

reindexdb also accepts the following command-line arguments for connection parameters:

`-h `host``
`--host `host``

  Specifies the host name of the machine on which the server is running. If the value begins with a slash, it is used as the directory for the Unix domain socket.

`-p `port``
`--port `port``

  Specifies the TCP port or local Unix domain socket file extension on which the server is listening for connections.

`-U `username``
`--username `username``

  User name to connect as.

`-W`
`--password`

  Force password prompt.

## Environment

`PGDATABASE`
`PGHOST`
`PGPORT`
`PGUSER`

  Default connection parameters

## Diagnostics

In case of difficulty, see REINDEX and psql for discussions of potential problems and error messages. The database server must be running at the targeted host. Also, any default connection settings and environment variables used by the libpq front-end library will apply.

## Notes

reindexdb might need to connect several times to the PostgreSQL server, asking for a password each time. It is convenient to have a `~/.pgpass` file in such cases. See Section 28.12 for more information.

## Examples

To reindex the database `test`:

    $ reindexdb test

To reindex the table `foo` and the index `bar` in a database named `abcd`:

    $ reindexdb --table foo --index bar abcd

## See Also

REINDEX, Environment Variables (Section 28.11)

Prev | Home | Next
psql | Up | vacuumdb